# ApiProcess Data Model

A process represents a unix process to be managed by the Cloudera Manager agents. A process can be a daemon, e.g. if it is associated with a running role. It can also be a one-off process which is expected to start, run and finish.

Properties
name | data type | description
--- | --- | ---
configFiles | array of string | List of config files supplied to the process.

Example

    {
      "configFiles" : [ "...", "..." ]
    }